package cn.ibizlab.core.dict.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.Map;
import org.apache.ibatis.annotations.Select;
import cn.ibizlab.core.dict.domain.IBZDictItem;
import cn.ibizlab.core.dict.filter.IBZDictItemSearchContext;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;


public interface IBZDictItemMapper extends BaseMapper<IBZDictItem>{

    Page<IBZDictItem> searchDefault(IPage page, @Param("srf") IBZDictItemSearchContext context, @Param("ew") Wrapper<IBZDictItem> wrapper) ;
    @Override
    IBZDictItem selectById(Serializable id);
    @Override
    int insert(IBZDictItem entity);
    @Override
    int updateById(@Param(Constants.ENTITY) IBZDictItem entity);
    @Override
    int deleteById(Serializable id);
    Page<IBZDictItem> selectPermission(IPage page,@Param("pw") Wrapper<IBZDictItem> wrapper) ;


    List<IBZDictItem> selectByDictid(@Param("dictid") Serializable dictid) ;

}
