package cn.ibizlab.core.dict.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.core.dict.domain.IBZDictItem;
import cn.ibizlab.core.dict.filter.IBZDictItemSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[IBZDictItem] 服务对象接口
 */
public interface IIBZDictItemService extends IService<IBZDictItem>{

    IBZDictItem get(String key) ;
    IBZDictItem getDraft(IBZDictItem et) ;
    boolean save(IBZDictItem et) ;
    void saveBatch(List<IBZDictItem> list) ;
    boolean checkKey(IBZDictItem et) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    boolean create(IBZDictItem et) ;
    void createBatch(List<IBZDictItem> list) ;
    boolean update(IBZDictItem et) ;
    void updateBatch(List<IBZDictItem> list) ;
    Page<IBZDictItem> searchDefault(IBZDictItemSearchContext context) ;

    List<IBZDictItem> selectByDictid(String dictid) ;
    void removeByDictid(String dictid) ;
    void saveByDictid(String dictid,List<IBZDictItem> list) ;



}


